system_subnet_pool_member_add

Add member to subnet pool
post/v1/system/subnet-pools/{pool}/members/add

Path Parameters

pool

Name or ID of the subnet pool

Request Body

Add a member (subnet) to a subnet pool

Object
max_prefix_length

Maximum prefix length for allocations from this subnet; a larger prefix means smaller allocations are allowed (e.g. a /24 prefix yields smaller subnet allocations than a /16 prefix).

Valid values: 0-32 for IPv4, 0-128 for IPv6. Default if not specified is 32 for IPv4 and 128 for IPv6.

min_prefix_length

Minimum prefix length for allocations from this subnet; a smaller prefix means larger allocations are allowed (e.g. a /16 prefix yields larger subnet allocations than a /24 prefix).

Valid values: 0-32 for IPv4, 0-128 for IPv6. Default if not specified is equal to the subnet's prefix length.

subnet

The subnet to add to the pool

Responses

Object
id

ID of the pool member

max_prefix_length

Maximum prefix length for allocations from this subnet; a larger prefix means smaller allocations are allowed (e.g. a /24 prefix yields smaller subnet allocations than a /16 prefix).

min_prefix_length

Minimum prefix length for allocations from this subnet; a smaller prefix means larger allocations are allowed (e.g. a /16 prefix yields larger subnet allocations than a /24 prefix).

subnet

The subnet CIDR

subnet_pool_id

ID of the parent subnet pool

time_created

Time the pool member was created.